/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */


package com.funambol.framework.notification;


/**
 * This class includes the constants relative to the notification/bootstrap process.
 *
 * @version $Id: NotificationConstants.java,v 1.5 2007/01/11 19:30:40 nichele Exp $
 */
public final class NotificationConstants {


    public static final int AUTH_METHOD_NETWPIN     = 0;
    public static final int AUTH_METHOD_USERPIN     = 1;
    public static final int AUTH_METHOD_USERNETWPIN = 2;


    /** Bootstrap message using wap profile */
    public static final int BOOTSTRAP_MESSAGE_TYPE_WAP          = 0;

    /** Bootstrap message using plain profile */
    public static final int BOOTSTRAP_MESSAGE_TYPE_PLAIN        = 1;

    /** Bootstrap message using DM profile */
    public static final int BOOTSTRAP_MESSAGE_TYPE_DM           = 2;
    /** Generic Notification message */
    public static final int NOTIFICATION_MESSAGE_TYPE_GENERIC   = 0;

    /** Wap transport type */
    public static final int TRANSPORT_TYPE_WAP                  = 0;

}
