/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.config;

/**
 * This interface groups configuration related constants.
 *
 * @version $Id: ConfigurationConstants.java,v 1.3 2007/01/11 19:30:39 nichele Exp $
 */
public interface ConfigurationConstants {
    public static final String CFG_SECURITY_OFFICER      = "security.officer"      ;
    public static final String CFG_STRATEGY_CLASS        = "engine.strategy"       ;
    public static final String CFG_SYNCML_DTDVERSION     = "syncml.dtdversion"     ;
    public static final String CFG_ENGINE_MANIFACTURER   = "engine.manifacturer"   ;
    public static final String CFG_ENGINE_MODELNAME      = "engine.modelname"      ;
    public static final String CFG_ENGINE_OEM            = "engine.oem"            ;
    public static final String CFG_ENGINE_FWVERSION      = "engine.firmwareversion";
    public static final String CFG_ENGINE_SWVERSION      = "engine.softwareversion";
    public static final String CFG_ENGINE_HWVERSION      = "engine.hardwareversion";
    public static final String CFG_SESSION_HANDLER       = "engine.handler"        ;
    public static final String CFG_ENGINE_DEVICEID       = "engine.deviceid"       ;
    public static final String CFG_ENGINE_DEVICETYPE     = "engine.devicetype"     ;
    public static final String CFG_ENGINE_PIPELINE       = "engine.pipeline"       ;
    public static final String CFG_PERSISTENT_STORE      = "engine.store"          ;
    public static final String CFG_SERVER_URI            = "server.uri"            ;
    public static final String CFG_SERVER_DEBUG          = "server.debug"          ;
    public static final String CFG_SERVER_DM_SELECTOR    = "server.dm.selector"    ;
    public static final String CFG_USER_MANAGER          = "user.manager"          ;

    public static final String CFG_SERVER_ID             = "server.id"             ;

    public static final String CFG_MIN_MSGSIZE_XML       = "minXMLMaxMsgSize"      ;
    public static final String CFG_MIN_MSGSIZE_WBXML     = "minWBXMLMaxMsgSize"    ;

}
