/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.engine.source;

/**
 * Models a content type info
 *
 *
 *
 * @version $Id: ContentType.java,v 1.3 2007/01/11 19:30:40 nichele Exp $
 */
public class ContentType implements java.io.Serializable {
    public String type           = null;
    public String version        = null;
    public String capDescription = null;

    /** Getter for property type.
     * @return Value of property type.
     *
     */
    public String getType() {
        return type;
    }

    /** Setter for property type.
     * @param type New value of property type.
     *
     */
    public void setType(String type) {
        this.type = type;
    }

    /** Getter for property version.
     * @return Value of property version.
     *
     */
    public String getVersion() {
        return version;
    }

    /** Setter for property version.
     * @param version New value of property version.
     *
     */
    public void setVersion(String version) {
        this.version = version;
    }

    // ------------------------------------------------------------ Constructors

    public ContentType() {
    }

    public ContentType(String type, String version) {
        this.type    = type   ;
        this.version = version;
    }

}
