/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.logging;

/**
 * Contains the name of the logger used in Funambol
 *
 * @version $Id: FunambolLoggerName.java,v 1.4 2007/01/11 19:30:40 nichele Exp $
 */
public interface FunambolLoggerName {

    public static final String TRANSPORT_HTTP              = "transport.http";
    public static final String DM                          = "dm";
    public static final String SERVER_DM_BOOTSTRAP         = "dm.bootstrap";
    public static final String SERVER_DM_NOTIFICATION      = "dm.notification";
    public static final String HANDLER                     = "handler";
    public static final String ENGINE                      = "engine";
    public static final String FRAMEWORK_ENGINE            = "framework.engine";
    public static final String SERVER_ADMIN                = "server.admin";
    public static final String TEST_TOOLS_POST_SYNCML      = "test.tools.PostSyncML";
    public static final String LOG_SQL                     = "log.sql";
    public static final String SOURCE                      = "source";

}
