/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.framework.notification;

import com.funambol.server.engine.Sync4jEngine;
import com.funambol.framework.config.Configuration;

/**
 * Abstract implementation of a <code>NotificationEngine</code>
 *
 * @version $Id: AbstractNotificationEngine.java,v 1.3 2007/01/11 19:30:40 nichele Exp $
 */
public abstract class AbstractNotificationEngine extends Sync4jEngine implements NotificationEngine {


    public AbstractNotificationEngine(Configuration config) {
        super(config);
    }
}
