/**
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.server.engine;


import java.io.*;
import java.beans.*;

import com.funambol.framework.tools.PatternPair;

/**
 *
 * @version $Id: DeviceIdManagerSelector.java,v 1.3 2007/01/11 19:30:50 nichele Exp $
 */
public class DeviceIdManagerSelector
implements java.io.Serializable {

    private PatternPair[] patterns;
    private String defaultManager;

    /** Creates a new instance of DeviceIdManagerSelector */
    public DeviceIdManagerSelector() {
    }

    public void setPatterns(PatternPair[] patterns) {
        this.patterns = patterns;
    }

    public PatternPair[] getPatterns() {
        return this.patterns;
    }

    public void setDefaultManager (String defaultManager) {
        this.defaultManager = defaultManager;
    }

    public String getDefaultManager() {
        return defaultManager;
    }

}
